/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "interface.h"

FD_main *create_form_main(void)
{
  FL_OBJECT *obj;
  FD_main *fdui = (FD_main *) fl_calloc(1, sizeof(*fdui));

  fdui->main = fl_bgn_form(FL_NO_BOX, 510, 300);
  obj = fl_add_box(FL_FLAT_BOX,0,0,510,300,"");
  fdui->m_series = obj = fl_add_menu(FL_PULLDOWN_MENU,20,140,50,30,"Series");
    fl_set_object_shortcut(obj,"#i",1);
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,series,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,270,240,20,"SpellDB - The Spellfire Card Database ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,270,210,20,"Copyright 1998 Michael Kleinhenz ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,270,490,20,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->b_credits = obj = fl_add_button(FL_NORMAL_BUTTON,10,10,90,30,"Credits");
    fl_set_button_shortcut(obj,"#c",1);
    fl_set_object_callback(obj,credits,0);
  fdui->b_release_notes = obj = fl_add_button(FL_NORMAL_BUTTON,110,10,90,30,"Release Notes");
    fl_set_button_shortcut(obj,"#r",1);
    fl_set_object_callback(obj,release_notes,0);
  fdui->b_deckbuilder = obj = fl_add_button(FL_NORMAL_BUTTON,210,10,90,30,"Deckbuilder");
    fl_set_button_shortcut(obj,"#d",1);
    fl_set_object_callback(obj,deckbuilder,0);
  fdui->b_minus = obj = fl_add_button(FL_NORMAL_BUTTON,410,60,90,30,"-");
    fl_set_button_shortcut(obj,"-",1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,minus,0);
  fdui->b_plus = obj = fl_add_button(FL_NORMAL_BUTTON,410,180,90,30,"+");
    fl_set_button_shortcut(obj,"+",1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,plus,0);
  fdui->d_name = obj = fl_add_input(FL_NORMAL_INPUT,70,60,270,30,"Card Name");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->d_welt = obj = fl_add_input(FL_NORMAL_INPUT,70,100,130,30,"World");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->d_inventory = obj = fl_add_input(FL_NORMAL_INPUT,300,140,40,30,"Inventory");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->d_type = obj = fl_add_input(FL_NORMAL_INPUT,240,180,100,30,"Type");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->d_level = obj = fl_add_input(FL_NORMAL_INPUT,300,100,40,30,"Level");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->d_rarity = obj = fl_add_input(FL_NORMAL_INPUT,70,180,100,30,"Rarity");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->b_quit = obj = fl_add_button(FL_NORMAL_BUTTON,410,10,90,30,"Quit");
    fl_set_button_shortcut(obj,"#q",1);
    fl_set_object_callback(obj,quit,0);
  fdui->b_save = obj = fl_add_button(FL_NORMAL_BUTTON,310,10,90,30,"Save");
    fl_set_button_shortcut(obj,"#s",1);
    fl_set_object_callback(obj,save,0);
  fdui->b_make_wantlist = obj = fl_add_button(FL_NORMAL_BUTTON,10,230,90,30,"Make Wantlist");
    fl_set_button_shortcut(obj,"#n",1);
    fl_set_object_callback(obj,make_wantlist,0);
  fdui->b_make_havelist = obj = fl_add_button(FL_NORMAL_BUTTON,110,230,90,30,"Make Havelist");
    fl_set_button_shortcut(obj,"#v",1);
    fl_set_object_callback(obj,make_havelist,0);
  fdui->series_display = obj = fl_add_input(FL_NORMAL_INPUT,70,140,130,30,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
  fdui->b_setup = obj = fl_add_button(FL_NORMAL_BUTTON,410,230,90,30,"Setup");
    fl_set_button_shortcut(obj,"#p",1);
    fl_set_object_callback(obj,setup,0);
  fdui->i_cardnumber = obj = fl_add_input(FL_NORMAL_INPUT,410,110,90,50,"Card");
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_callback(obj,card_input,0);
  fl_end_form();

  fdui->main->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_titel *create_form_titel(void)
{
  FL_OBJECT *obj;
  FD_titel *fdui = (FD_titel *) fl_calloc(1, sizeof(*fdui));

  fdui->titel = fl_bgn_form(FL_NO_BOX, 340, 260);
  obj = fl_add_box(FL_FLAT_BOX,0,0,340,260,"");
  fdui->bild = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,10,10,320,200,"");
  fdui->b_titel_ok = obj = fl_add_button(FL_NORMAL_BUTTON,130,220,80,30,"OK");
    fl_set_button_shortcut(obj,"#o",1);
    fl_set_object_callback(obj,titel_ok,0);
  fl_end_form();

  fdui->titel->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_setup_form *create_form_setup_form(void)
{
  FL_OBJECT *obj;
  FD_setup_form *fdui = (FD_setup_form *) fl_calloc(1, sizeof(*fdui));

  fdui->setup_form = fl_bgn_form(FL_NO_BOX, 300, 370);
  obj = fl_add_box(FL_FLAT_BOX,0,0,300,370,"");
  fdui->setup_folder = obj = fl_add_tabfolder(FL_TOP_TABFOLDER,10,10,280,310,"General");
  fdui->b_setup_ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,330,70,30,"Ok");
    fl_set_object_callback(obj,setup_ok,0);
  fdui->b_setup_cancel = obj = fl_add_button(FL_NORMAL_BUTTON,220,330,70,30,"Cancel");
    fl_set_object_callback(obj,setup_cancel,0);
  fdui->b_save_setup = obj = fl_add_button(FL_NORMAL_BUTTON,110,330,80,30,"Save");
    fl_set_object_callback(obj,save_setup,0);
  fl_end_form();

  fdui->setup_form->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_general_setup *create_form_general_setup(void)
{
  FL_OBJECT *obj;
  FD_general_setup *fdui = (FD_general_setup *) fl_calloc(1, sizeof(*fdui));

  fdui->general_setup = fl_bgn_form(FL_NO_BOX, 280, 290);
  obj = fl_add_box(FL_FLAT_BOX,0,0,280,290,"");
  fdui->d_database_file = obj = fl_add_input(FL_NORMAL_INPUT,100,20,160,30,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->b_database_file = obj = fl_add_button(FL_NORMAL_BUTTON,20,20,80,30,"Database File");
    fl_set_button_shortcut(obj,"#d",1);
    fl_set_object_callback(obj,select_database_file,0);
  fdui->i_doubles = obj = fl_add_counter(FL_SIMPLE_COUNTER,100,60,90,30,"Doubles to keep");
    fl_set_object_shortcut(obj,"#k",1);
  fl_end_form();

  fdui->general_setup->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_tradelists_setup *create_form_tradelists_setup(void)
{
  FL_OBJECT *obj;
  FD_tradelists_setup *fdui = (FD_tradelists_setup *) fl_calloc(1, sizeof(*fdui));

  fdui->tradelists_setup = fl_bgn_form(FL_NO_BOX, 280, 290);
  obj = fl_add_box(FL_FLAT_BOX,0,0,280,290,"");
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,20,20,240,250,"Emit Series");
  fdui->em_1st = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,40,20,20,"1st Edition");
  fdui->em_2nd = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,40,20,20,"2nd Edition");
  fdui->em_3rd = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,60,20,20,"3rd Edition");
  fdui->em_4th = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,60,20,20,"4th Edition");
  fdui->em_no = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,80,20,20,"No Edition");
  fdui->em_r = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,120,20,20,"Ravenloft");
  fdui->em_pr = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,80,20,20,"Promos");
  fdui->em_dl = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,120,20,20,"Dragonlance");
  fdui->em_af = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,140,20,20,"Artifacts");
  fdui->em_po = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,160,20,20,"Powers");
  fdui->em_br = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,180,20,20,"Birthright");
  fdui->em_un = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,180,20,20,"Underdark");
  fdui->em_chase = obj = fl_add_checkbutton(FL_PUSH_BUTTON,90,230,20,20,"Chasecards");
  fdui->em_fr = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,140,20,20,"Forg. Realms");
  fdui->em_ns = obj = fl_add_checkbutton(FL_PUSH_BUTTON,40,200,20,20,"NightStalkers");
  fdui->em_dc = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,200,20,20,"Draconomicon");
  fdui->em_rr = obj = fl_add_checkbutton(FL_PUSH_BUTTON,130,160,20,20,"Runes and Ruins");
  fl_end_form();

  fdui->tradelists_setup->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_deckbuilder *create_form_deckbuilder(void)
{
  FL_OBJECT *obj;
  FD_deckbuilder *fdui = (FD_deckbuilder *) fl_calloc(1, sizeof(*fdui));

  fdui->deckbuilder = fl_bgn_form(FL_NO_BOX, 550, 360);
  obj = fl_add_box(FL_FLAT_BOX,0,0,550,360,"");
  fdui->d_cardstock = obj = fl_add_browser(FL_HOLD_BROWSER,20,20,200,150,"");
    fl_set_object_callback(obj,foofunction,0);
  fdui->b_add = obj = fl_add_button(FL_NORMAL_BUTTON,230,60,90,30,"Add ->");
    fl_set_object_callback(obj,deckbuilder_add,0);
  fdui->b_delete = obj = fl_add_button(FL_NORMAL_BUTTON,230,100,90,30,"<- Delete");
    fl_set_object_callback(obj,deckbuilder_delete,0);
  fdui->deckbuilder_series = obj = fl_add_input(FL_NORMAL_INPUT,70,190,130,30,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_labelframe(FL_EMBOSSED_FRAME,220,190,200,70,"Decktype");
  fdui->b_55 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,200,20,20,"55 Cards");
    fl_set_object_callback(obj,decktype,0);
  fdui->b_75 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,320,200,20,20,"75 Cards");
    fl_set_object_callback(obj,decktype,0);
  fdui->b_110 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,240,230,20,20,"110 Cards");
    fl_set_object_callback(obj,decktype,0);
  fdui->b_165 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,320,230,20,20,"165 Cards");
    fl_set_object_callback(obj,decktype,0);
  fdui->i_deckbuilder_name = obj = fl_add_input(FL_NORMAL_INPUT,70,230,130,30,"Deck Name");
    fl_set_object_callback(obj,deckbuilder_name,0);
  fdui->i_deckbuilder_comment = obj = fl_add_input(FL_MULTILINE_INPUT,20,270,400,60,"Comments");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM_LEFT);
    fl_set_object_callback(obj,deckbuilder_comment,0);
  fdui->b_deckbuilder_save = obj = fl_add_button(FL_NORMAL_BUTTON,440,190,90,30,"Save");
    fl_set_object_callback(obj,deckbuilder_save,0);
  fdui->b_deckbuilder_load = obj = fl_add_button(FL_NORMAL_BUTTON,440,230,90,30,"Load");
    fl_set_object_callback(obj,deckbuilder_load,0);
  fdui->b_deckbuilder_export = obj = fl_add_button(FL_NORMAL_BUTTON,440,270,90,30,"Export");
    fl_set_object_callback(obj,deckbuilder_export,0);
  fdui->b_deckbuilder_cancel = obj = fl_add_button(FL_NORMAL_BUTTON,440,310,90,30,"Cancel");
    fl_set_object_callback(obj,deckbuilder_cancel,0);
  fdui->d_deckcards = obj = fl_add_browser(FL_HOLD_BROWSER,330,20,200,150,"");
    fl_set_object_callback(obj,foofunction,0);
  fdui->b_deckbuilder_series = obj = fl_add_menu(FL_PULLDOWN_MENU,20,190,50,30,"Series");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,db_series,0);
  fl_end_form();

  fdui->deckbuilder->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_report *create_form_report(void)
{
  FL_OBJECT *obj;
  FD_report *fdui = (FD_report *) fl_calloc(1, sizeof(*fdui));

  fdui->report = fl_bgn_form(FL_NO_BOX, 310, 320);
  obj = fl_add_box(FL_FLAT_BOX,0,0,310,320,"");
  fdui->b_report_export = obj = fl_add_button(FL_NORMAL_BUTTON,20,280,100,30,"Export");
    fl_set_object_callback(obj,report_export,0);
  fdui->b_report_cancel = obj = fl_add_button(FL_NORMAL_BUTTON,190,280,100,30,"Cancel");
    fl_set_object_callback(obj,report_cancel,0);
  fdui->report_text = obj = fl_add_input(FL_MULTILINE_INPUT,20,20,270,250,"Tradelist Report");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
  obj = fl_add_text(FL_NORMAL_TEXT,30,110,250,80,"Not implemented yet!");
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->report->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

