#ifndef FD_main_h_
#define FD_main_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void series(FL_OBJECT *, long);
extern void credits(FL_OBJECT *, long);
extern void release_notes(FL_OBJECT *, long);
extern void deckbuilder(FL_OBJECT *, long);
extern void minus(FL_OBJECT *, long);
extern void plus(FL_OBJECT *, long);
extern void quit(FL_OBJECT *, long);
extern void save(FL_OBJECT *, long);
extern void make_wantlist(FL_OBJECT *, long);
extern void make_havelist(FL_OBJECT *, long);
extern void setup(FL_OBJECT *, long);
extern void card_input(FL_OBJECT *, long);

extern void titel_ok(FL_OBJECT *, long);

extern void setup_ok(FL_OBJECT *, long);
extern void setup_cancel(FL_OBJECT *, long);
extern void save_setup(FL_OBJECT *, long);

extern void select_database_file(FL_OBJECT *, long);


extern void foofunction(FL_OBJECT *, long);
extern void deckbuilder_add(FL_OBJECT *, long);
extern void deckbuilder_delete(FL_OBJECT *, long);
extern void decktype(FL_OBJECT *, long);
extern void deckbuilder_name(FL_OBJECT *, long);
extern void deckbuilder_comment(FL_OBJECT *, long);
extern void deckbuilder_save(FL_OBJECT *, long);
extern void deckbuilder_load(FL_OBJECT *, long);
extern void deckbuilder_export(FL_OBJECT *, long);
extern void deckbuilder_cancel(FL_OBJECT *, long);
extern void deckbuilder_check(FL_OBJECT *, long);
extern void db_series(FL_OBJECT *, long);

extern void report_export(FL_OBJECT *, long);
extern void report_cancel(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *main;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *m_series;
	FL_OBJECT *b_credits;
	FL_OBJECT *b_release_notes;
	FL_OBJECT *b_deckbuilder;
	FL_OBJECT *b_minus;
	FL_OBJECT *b_plus;
	FL_OBJECT *d_name;
	FL_OBJECT *d_welt;
	FL_OBJECT *d_inventory;
	FL_OBJECT *d_type;
	FL_OBJECT *d_level;
	FL_OBJECT *d_rarity;
	FL_OBJECT *b_quit;
	FL_OBJECT *b_save;
	FL_OBJECT *b_make_wantlist;
	FL_OBJECT *b_make_havelist;
	FL_OBJECT *series_display;
	FL_OBJECT *b_setup;
	FL_OBJECT *i_cardnumber;
} FD_main;

extern FD_main * create_form_main(void);
typedef struct {
	FL_FORM *titel;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *bild;
	FL_OBJECT *b_titel_ok;
} FD_titel;

extern FD_titel * create_form_titel(void);
typedef struct {
	FL_FORM *setup_form;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *setup_folder;
	FL_OBJECT *b_setup_ok;
	FL_OBJECT *b_setup_cancel;
	FL_OBJECT *b_save_setup;
} FD_setup_form;

extern FD_setup_form * create_form_setup_form(void);
typedef struct {
	FL_FORM *general_setup;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *d_database_file;
	FL_OBJECT *b_database_file;
	FL_OBJECT *i_doubles;
} FD_general_setup;

extern FD_general_setup * create_form_general_setup(void);
typedef struct {
	FL_FORM *tradelists_setup;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *em_1st;
	FL_OBJECT *em_2nd;
	FL_OBJECT *em_3rd;
	FL_OBJECT *em_4th;
	FL_OBJECT *em_no;
	FL_OBJECT *em_r;
	FL_OBJECT *em_pr;
	FL_OBJECT *em_dl;
	FL_OBJECT *em_af;
	FL_OBJECT *em_po;
	FL_OBJECT *em_br;
	FL_OBJECT *em_un;
	FL_OBJECT *em_chase;
	FL_OBJECT *em_fr;
	FL_OBJECT *em_ns;
	FL_OBJECT *em_dc;
	FL_OBJECT *em_rr;
} FD_tradelists_setup;

extern FD_tradelists_setup * create_form_tradelists_setup(void);
typedef struct {
	FL_FORM *deckbuilder;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *d_cardstock;
	FL_OBJECT *b_add;
	FL_OBJECT *b_delete;
	FL_OBJECT *deckbuilder_series;
	FL_OBJECT *b_55;
	FL_OBJECT *b_75;
	FL_OBJECT *b_110;
	FL_OBJECT *b_165;
	FL_OBJECT *i_deckbuilder_name;
	FL_OBJECT *i_deckbuilder_comment;
	FL_OBJECT *b_deckbuilder_save;
	FL_OBJECT *b_deckbuilder_load;
	FL_OBJECT *b_deckbuilder_export;
	FL_OBJECT *b_deckbuilder_cancel;
	FL_OBJECT *d_deckcards;
	FL_OBJECT *b_deckbuilder_check;
	FL_OBJECT *b_deckbuilder_series;
} FD_deckbuilder;

extern FD_deckbuilder * create_form_deckbuilder(void);
typedef struct {
	FL_FORM *report;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *b_report_export;
	FL_OBJECT *b_report_cancel;
	FL_OBJECT *report_text;
} FD_report;

extern FD_report * create_form_report(void);

#endif /* FD_main_h_ */
